MaximumProfileTable
Date: 2017-05-25

org.apache.fontbox.ttf

## Class MaximumProfileTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.MaximumProfileTable

-     public class MaximumProfileTable
      extends TTFTable

  A table in a true type font.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG` A tag that identifies this table type.

    - ### Fields inherited from class org.apache.fontbox.ttf.TTFTable

      `font, initialized`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxComponentDepth()`
    `int` | `getMaxComponentElements()`
    `int` | `getMaxCompositeContours()`
    `int` | `getMaxCompositePoints()`
    `int` | `getMaxContours()`
    `int` | `getMaxFunctionDefs()`
    `int` | `getMaxInstructionDefs()`
    `int` | `getMaxPoints()`
    `int` | `getMaxSizeOfInstructions()`
    `int` | `getMaxStackElements()`
    `int` | `getMaxStorage()`
    `int` | `getMaxTwilightPoints()`
    `int` | `getMaxZones()`
    `int` | `getNumGlyphs()`
    `float` | `getVersion()`
    `void` | `read(TrueTypeFont ttf, org.apache.fontbox.ttf.TTFDataStream data)` This will read the required data from the stream.
    `void` | `setMaxComponentDepth(int maxComponentDepthValue)`
    `void` | `setMaxComponentElements(int maxComponentElementsValue)`
    `void` | `setMaxCompositeContours(int maxCompositeContoursValue)`
    `void` | `setMaxCompositePoints(int maxCompositePointsValue)`
    `void` | `setMaxContours(int maxContoursValue)`
    `void` | `setMaxFunctionDefs(int maxFunctionDefsValue)`
    `void` | `setMaxInstructionDefs(int maxInstructionDefsValue)`
    `void` | `setMaxPoints(int maxPointsValue)`
    `void` | `setMaxSizeOfInstructions(int maxSizeOfInstructionsValue)`
    `void` | `setMaxStackElements(int maxStackElementsValue)`
    `void` | `setMaxStorage(int maxStorageValue)`
    `void` | `setMaxTwilightPoints(int maxTwilightPointsValue)`
    `void` | `setMaxZones(int maxZonesValue)`
    `void` | `setNumGlyphs(int numGlyphsValue)`
    `void` | `setVersion(float versionValue)`

    - ### Methods inherited from class org.apache.fontbox.ttf.TTFTable

      `getCheckSum, getInitialized, getLength, getOffset, getTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      A tag that identifies this table type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMaxComponentDepth

          public int getMaxComponentDepth()

      Returns:
        Returns the maxComponentDepth.

    - #### setMaxComponentDepth

          public void setMaxComponentDepth(int maxComponentDepthValue)

      Parameters:
        `maxComponentDepthValue` - The maxComponentDepth to set.

    - #### getMaxComponentElements

          public int getMaxComponentElements()

      Returns:
        Returns the maxComponentElements.

    - #### setMaxComponentElements

          public void setMaxComponentElements(int maxComponentElementsValue)

      Parameters:
        `maxComponentElementsValue` - The maxComponentElements to set.

    - #### getMaxCompositeContours

          public int getMaxCompositeContours()

      Returns:
        Returns the maxCompositeContours.

    - #### setMaxCompositeContours

          public void setMaxCompositeContours(int maxCompositeContoursValue)

      Parameters:
        `maxCompositeContoursValue` - The maxCompositeContours to set.

    - #### getMaxCompositePoints

          public int getMaxCompositePoints()

      Returns:
        Returns the maxCompositePoints.

    - #### setMaxCompositePoints

          public void setMaxCompositePoints(int maxCompositePointsValue)

      Parameters:
        `maxCompositePointsValue` - The maxCompositePoints to set.

    - #### getMaxContours

          public int getMaxContours()

      Returns:
        Returns the maxContours.

    - #### setMaxContours

          public void setMaxContours(int maxContoursValue)

      Parameters:
        `maxContoursValue` - The maxContours to set.

    - #### getMaxFunctionDefs

          public int getMaxFunctionDefs()

      Returns:
        Returns the maxFunctionDefs.

    - #### setMaxFunctionDefs

          public void setMaxFunctionDefs(int maxFunctionDefsValue)

      Parameters:
        `maxFunctionDefsValue` - The maxFunctionDefs to set.

    - #### getMaxInstructionDefs

          public int getMaxInstructionDefs()

      Returns:
        Returns the maxInstructionDefs.

    - #### setMaxInstructionDefs

          public void setMaxInstructionDefs(int maxInstructionDefsValue)

      Parameters:
        `maxInstructionDefsValue` - The maxInstructionDefs to set.

    - #### getMaxPoints

          public int getMaxPoints()

      Returns:
        Returns the maxPoints.

    - #### setMaxPoints

          public void setMaxPoints(int maxPointsValue)

      Parameters:
        `maxPointsValue` - The maxPoints to set.

    - #### getMaxSizeOfInstructions

          public int getMaxSizeOfInstructions()

      Returns:
        Returns the maxSizeOfInstructions.

    - #### setMaxSizeOfInstructions

          public void setMaxSizeOfInstructions(int maxSizeOfInstructionsValue)

      Parameters:
        `maxSizeOfInstructionsValue` - The maxSizeOfInstructions to set.

    - #### getMaxStackElements

          public int getMaxStackElements()

      Returns:
        Returns the maxStackElements.

    - #### setMaxStackElements

          public void setMaxStackElements(int maxStackElementsValue)

      Parameters:
        `maxStackElementsValue` - The maxStackElements to set.

    - #### getMaxStorage

          public int getMaxStorage()

      Returns:
        Returns the maxStorage.

    - #### setMaxStorage

          public void setMaxStorage(int maxStorageValue)

      Parameters:
        `maxStorageValue` - The maxStorage to set.

    - #### getMaxTwilightPoints

          public int getMaxTwilightPoints()

      Returns:
        Returns the maxTwilightPoints.

    - #### setMaxTwilightPoints

          public void setMaxTwilightPoints(int maxTwilightPointsValue)

      Parameters:
        `maxTwilightPointsValue` - The maxTwilightPoints to set.

    - #### getMaxZones

          public int getMaxZones()

      Returns:
        Returns the maxZones.

    - #### setMaxZones

          public void setMaxZones(int maxZonesValue)

      Parameters:
        `maxZonesValue` - The maxZones to set.

    - #### getNumGlyphs

          public int getNumGlyphs()

      Returns:
        Returns the numGlyphs.

    - #### setNumGlyphs

          public void setNumGlyphs(int numGlyphsValue)

      Parameters:
        `numGlyphsValue` - The numGlyphs to set.

    - #### getVersion

          public float getVersion()

      Returns:
        Returns the version.

    - #### setVersion

          public void setVersion(float versionValue)

      Parameters:
        `versionValue` - The version to set.

    - #### read

          public void read(TrueTypeFont ttf,
                  org.apache.fontbox.ttf.TTFDataStream data)
                    throws java.io.IOException

      This will read the required data from the stream.
      Parameters:
        `ttf` - The font that is being read.
        `data` - The stream to read the data from.
      Throws:
        `java.io.IOException` - If there is an error reading the data.